Name:           maven-install-plugin
Version:        2.5.1
Release:        %mkrel 1
Summary:        Maven Install Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-install-plugin
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:      noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: maven-local
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: plexus-utils
BuildRequires: maven-archiver
BuildRequires: mvn(org.apache.maven:maven-artifact:2.0.6)
BuildRequires: mvn(org.apache.maven:maven-model:2.0.6)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(org.apache.maven.shared:maven-shared-utils)

Requires: maven
Requires: jpackage-utils
Requires: java
Requires: maven-archiver
Requires: plexus-digest
Requires: mvn(org.apache.maven:maven-artifact:2.0.6)
Requires: mvn(org.apache.maven:maven-model:2.0.6)

Provides:       maven2-plugin-install = %{version}-%{release}
Obsoletes:      maven2-plugin-install <= 0:2.0.8

%description
Copies the project artifacts to the user's local repository.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q
# maven-core has scope "provided" in Plugin Testing Harness, so we
# need to provide it or tests will fail to compile.  This works for
# upstream because upstream uses a different version of Plugin Testing
# Harness in which scope of maven-core dependency is "compile".
%pom_add_dep org.apache.maven:maven-core::test

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Fri Jan 03 2014 dmorgan <dmorgan> 2.5.1-1.mga4
+ Revision: 564042
- New version

* Fri Oct 18 2013 umeabot <umeabot> 2.5-2.mga4
+ Revision: 522306
- Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - New version
    - Rebuild against new javapackages
    - Add missing requires on maven2 artifact and model
    - Add maven-core to test dependencies
    - Resolves: rhbz#914169

* Mon Feb 18 2013 dmorgan <dmorgan> 2.4-1.mga3
+ Revision: 399214
- New version

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 25 2012 dmorgan <dmorgan> 2.3.1-5.mga3
+ Revision: 263749
- Adapt to new guidelines

* Wed Jul 20 2011 dmorgan <dmorgan> 2.3.1-4.mga2
+ Revision: 127181
- Build with maven v3.
    Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3.1-3.mga1
+ Revision: 92704
- Rebuild after bootstrapping
- imported package maven-install-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 14 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3.1-1
- Update to 2.3.1.
- Install License.

* Thu Sep 09 2010 Hui Wang <huwang@redhat.com> 2.3-8
- Add pom.patch

* Fri May 21 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3-7
- BR: plexus-digest.

* Fri May 21 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3-6
- Requires: plexus-digest.

* Wed May 19 2010 Hui Wang <huwang@redhat.com> - 2.3-5
- Added missing BR : maven-shared-reporting-impl

* Wed May 19 2010 Hui Wang <huwang@redhat.com> - 2.3-4
- Added missing obsoletes/provides

* Wed May 19 2010 Hui Wang <huwang@redhat.com> - 2.3-3
- Added missing BR : maven-archiver

* Mon May 17 2010 Hui Wang <huwang@redhat.com> - 2.3-2
- Fixed install -pm 644 pom.xml

* Fri May 14 2010 Hui Wang <huwang@redhat.com> - 2.3-1
- Initial version of the package
